<?php
	include_once("db.php");

	//make result object
	$result = array();
	$result['ok'] = false;

	//get post data
	$postdata = file_get_contents("php://input");
	$post = json_decode($postdata, true);

	$idchampionship = $post['idchampionship'];
	$tier = $post['tier'];
	$poule = $post['poule'];

	//fetch teams
	$teamfetch = pg_prepare($dbconn, "teamfetch", "select team.*, team.name teamname from team inner join team_poule using (idteam, idchampionship) where tier = $1 and poule = $2 and idchampionship = $3");
	// $result['lasterror'].=pg_last_error()."\n";
	$racefetch = pg_prepare($dbconn, "racefetch", "select * from race where tier = $1 and poule = $2 and idchampionship = $3 and idteam = $4");
	// $result['lasterror'].=pg_last_error()."\n";
	$laptimefetch = pg_prepare($dbconn, "laptimefetch", "select vm1.idrace, vm2.cleaneduptime-vm1.cleaneduptime laptime from valid_measurements vm1 inner join valid_measurements vm2 on vm1.idrace = vm2.idrace and vm1.idmeasurement != vm2.idmeasurement and vm1.cleaneduptime < vm2.cleaneduptime and vm2.cleaneduptime = (select min(cleaneduptime) from valid_measurements vm3 where vm3.cleaneduptime>vm1.cleaneduptime and vm3.idrace = vm1.idrace) where vm1.idrace = $1 order by vm1.idrace, laptime");
	// $result['lasterror'].=pg_last_error()."\n";

	$teamfetch = pg_execute($dbconn, "teamfetch", array($tier, $poule, $idchampionship));
	// $result['lasterror'].=pg_last_error()."\n";

	//resulting teams array
	$teams = array();
	while($row = pg_fetch_assoc($teamfetch)) {
		$team = $row;
		$team['races'] = array();
		$idteam = $row['idteam'];

		$result['debugracefetch'] = $tier.' '.$poule.' '.$idchampionship.' '.$idteam;

		//loop over each race
		$racefetchexec = pg_execute($dbconn, "racefetch", array($tier, $poule, $idchampionship, $idteam));
		// $result['lasterror'].=pg_last_error()."\n";

		while($racerow = pg_fetch_assoc($racefetchexec)) {
			$result['GETTING IN IT'] = true;
			$race = array();

			$race['idrace'] = $racerow['idrace'];
			$race['laptimes'] = array();

			//fetch the laptimes
			$laptimefetch = pg_execute($dbconn, "laptimefetch", array($race['idrace']));
			// $result['lasterror'].=pg_last_error()."\n";
			while($laptimerow = pg_fetch_assoc($laptimefetch)) {
				$laptime = array();
				$laptime['laptime'] = $laptimerow['laptime'];
				$race['laptimes'][] = $laptime;
			}

			$team['races'][] = $race;

		}


		$teams[] = $team;
	}

	$result['teams'] = $teams;
	$result['ok'] = true;

	//print message
	$resultjson =  json_encode($result);
	echo $resultjson;
?>
